uudoc(1)

NAME
uudoc - Dump files in octal and other formats

SYNOPSIS
uudoc [--help] [-A|--address-radix] [-j|--skip-bytes] [-N|--read-bytes] [--endian] [-S|--strings] [-a ] [-b ] [-c ] [-d ] [-D ] [-o ] [-I ] [-L ] [-i ] [-l ] [-x ] [-h ] [-O ] [-s ] [-X ] [-H ] [-e ] [-f ] [-F ] [-t|--format] [-v|--output-duplicates] [-w|--width] [--traditional] [-V|--version] [FILENAME]

DESCRIPTION
Dump files in octal and other formats

OPTIONS

--help
    Print help information.

-A, --address-radix <RADIX>
    Select the base in which file offsets are printed.

-j, --skip-bytes <BYTES>
    Skip bytes input bytes before formatting and writing.

-N, --read-bytes <BYTES>
    limit dump to BYTES input bytes

--endian <big|little>
    byte order to use for multi-byte formats
    [possible values: big, little]

-S, --strings [<BYTES>]
    output strings of at least BYTES graphic chars. 3 is assumed when BYTES is not specified.

-a  named characters, ignoring high-order bit

-b  octal bytes

-c  ASCII characters or backslash escapes

-d  unsigned decimal 2-byte units

-D  unsigned decimal 4-byte units

-o  octal 2-byte units

-I  decimal 8-byte units

-L  decimal 8-byte units

-i  decimal 4-byte units

-l  decimal 8-byte units

-x  hexadecimal 2-byte units

-h  hexadecimal 2-byte units

-O  octal 4-byte units

-s  decimal 2-byte units

-X  hexadecimal 4-byte units

-H  hexadecimal 4-byte units

-e  floating point double precision (64-bit) units

-f  floating point double precision (32-bit) units

-F  floating point double precision (64-bit) units

-t, --format <TYPE>
    select output format or formats

-v, --output-duplicates
    do not use * to mark line suppression

-w, --width [<BYTES>]
    output BYTES bytes per output line. 32 is implied when BYTES is not specified.

--traditional
    compatibility mode with one input, offset and label.

-V, --version
    Print version

EXTRA
Examples Display file using default settings: octal format, 8 bytes per line, byte offsets in octal, and duplicate lines replaced with `*`: od {{path/to/file}} Display file in verbose mode, i.e. without replacing duplicate lines with `*`: od {{[-v|--output-duplicates]}} {{path/to/file}} Display file in hexadecimal format (2-byte units), with byte offsets in decimal format: od {{[-t|--format]}} {{x}} {{[-A|--address-radix]}} {{d}} {{[-v|--output-duplicates]}} {{path/to/file}} Display file in hexadecimal format (1-byte units), and 4 bytes per line: od {{[-t|--format]}} {{x1}} {{[-w|--width=]}}4 {{[-v|--output-duplicates]}} {{path/to/file}} Display file in hexadecimal format along with its character representation, and do not print byte offsets: od {{[-t|--format]}} {{xz}} {{[-A|--address-radix]}} {{n}} {{[-v|--output-duplicates]}} {{path/to/file}} Read only 100 bytes of a file starting from the 500th byte: od {{[-N|--read-bytes]}} 100 {{[-j|--skip-bytes]}} 500 {{[-v|--output-duplicates]}} {{path/to/file}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0